Problemi di esecuzione programmi dopo installazione di pacchetto formato .deb e perdita del server grafico xorg

xfce
xorg

#1

Ho provato ad installare google-earth-pro-stable_current_amd64.deb,

Ho eseguito delle procedure che faccio prima a copiare il log dei procedimenti fatti.

Assieme lascio alcuni errori che eseguendo i programmi da terminale mi ridà in dietro.
Grazie a tutti coloro che contribuiranno alla risoluzione delle mie caxxate.

Errore in apertura di telegram-desktop:

Error: No root privilege. Please check with the system-admin.
Error! Fail to load fglrx kernel module! Maybe you can switch to root user to load kernel module directly
Errore di segmentazione (core dump creato)

[2018-11-06 13:59] [ALPM] running 'systemd-update.hook'...
[2018-11-06 13:59] [ALPM] transaction completed
[2018-11-06 13:59] [ALPM-SCRIPTLET] /usr/bin/bash: post_upgrade: comando non trovato
[2018-11-06 13:59] [ALPM-SCRIPTLET] /tmp/alpm_DqNsAw/.INSTALL: riga 724: errore di sintassi: EOF non atteso
[2018-11-06 13:59] [ALPM-SCRIPTLET] /tmp/alpm_DqNsAw/.INSTALL: riga 441: EOF non atteso durante la ricerca di "`"
[2018-11-06 13:59] [ALPM] reinstalled google-earth-pro-stable (7.3.2.5495.r0-1)
[2018-11-06 13:59] [ALPM] transaction started
[2018-11-06 13:53] [PAMAC] synchronizing package lists
[2018-11-06 13:51] [ALPM] running 'systemd-update.hook'...
[2018-11-06 13:51] [ALPM] transaction completed
[2018-11-06 13:51] [ALPM-SCRIPTLET] /usr/bin/bash: post_upgrade: comando non trovato
[2018-11-06 13:51] [ALPM-SCRIPTLET] /tmp/alpm_YOvjLj/.INSTALL: riga 724: errore di sintassi: EOF non atteso
[2018-11-06 13:51] [ALPM-SCRIPTLET] /tmp/alpm_YOvjLj/.INSTALL: riga 441: EOF non atteso durante la ricerca di "`"
[2018-11-06 13:51] [ALPM] reinstalled google-earth-pro-stable (7.3.2.5495.r0-1)
[2018-11-06 13:51] [ALPM] transaction started
[2018-11-06 13:51] [ALPM] running 'systemd-update.hook'...
[2018-11-06 13:51] [ALPM] transaction completed
[2018-11-06 13:51] [ALPM-SCRIPTLET] /usr/bin/bash: post_upgrade: comando non trovato
[2018-11-06 13:51] [ALPM-SCRIPTLET] /tmp/alpm_1x9raO/.INSTALL: riga 724: errore di sintassi: EOF non atteso
[2018-11-06 13:51] [ALPM-SCRIPTLET] /tmp/alpm_1x9raO/.INSTALL: riga 441: EOF non atteso durante la ricerca di "`"
[2018-11-06 13:51] [ALPM] reinstalled google-earth-pro-stable (7.3.2.5495.r0-1)
[2018-11-06 13:50] [ALPM] transaction started
[2018-11-06 13:50] [PACMAN] Running 'pacman -U google-earth-pro-stable-7.3.2.5495.r0-1-x86_64.pkg.tar.xz'
[2018-11-06 13:50] [ALPM] running 'xorg-mkfontdir.hook'...
[2018-11-06 13:50] [ALPM] running 'update-desktop-database.hook'...
[2018-11-06 13:50] [ALPM] running 'systemd-update.hook'...
[2018-11-06 13:50] [ALPM] running 'systemd-udev-reload.hook'...
[2018-11-06 13:50] [ALPM] running 'systemd-daemon-reload.hook'...
[2018-11-06 13:50] [ALPM] running 'gtk-update-icon-cache.hook'...
[2018-11-06 13:50] [ALPM] running 'glib-compile-schemas.hook'...
[2018-11-06 13:50] [ALPM] running 'fontconfig-32.hook'...
[2018-11-06 13:50] [ALPM] running 'fontconfig.hook'...
[2018-11-06 13:50] [ALPM] running 'detect-old-perl-modules.hook'...
[2018-11-06 13:50] [ALPM] transaction completed
[2018-11-06 13:50] [ALPM-SCRIPTLET] /usr/bin/bash: post_install: comando non trovato
[2018-11-06 13:50] [ALPM-SCRIPTLET] /tmp/alpm_luuisd/.INSTALL: riga 724: errore di sintassi: EOF non atteso
[2018-11-06 13:50] [ALPM-SCRIPTLET] /tmp/alpm_luuisd/.INSTALL: riga 441: EOF non atteso durante la ricerca di "`"
[2018-11-06 13:50] [ALPM] installed google-earth-pro-stable (7.3.2.5495.r0-1)
[2018-11-06 13:49] [ALPM] installed scantailor (0.9.12.2-1)
[2018-11-06 13:49] [ALPM] installed libspnav (0.2.3-2)
[2018-11-06 13:49] [ALPM] installed libgdata (0.17.9-1)
[2018-11-06 13:49] [ALPM] installed gnome-online-accounts (3.30.0-1)
[2018-11-06 13:49] [ALPM] installed liboauth (1.0.3+9+g11e9461-2)
[2018-11-06 13:49] [ALPM] installed gthumb (3.6.2-1)
[2018-11-06 13:49] [ALPM] installed darktable (2:2.4.4-2)
[2018-11-06 13:49] [ALPM] installed osm-gps-map (1.1.0-3)
[2018-11-06 13:49] [ALPM] installed graphicsmagick (1.3.30-4)
[2018-11-06 13:49] [ALPM] installed flickcurl (1.26-6)
[2018-11-06 13:49] [ALPM] installed colord-gtk (0.1.26+5+ga9d9c91-1)
[2018-11-06 13:49] [ALPM] installed pugixml (1.9-1)
[2018-11-06 13:49] [ALPM-SCRIPTLET] e[37;44me[1m----------------------------------------------------------------e[0m
[2018-11-06 13:49] [ALPM-SCRIPTLET] https://bbs.archlinux.org/viewtopic.php?pid=1280193#p1280193
[2018-11-06 13:49] [ALPM-SCRIPTLET] https://bbs.archlinux.org/viewtopic.php?pid=1279977#p1279977
[2018-11-06 13:49] [ALPM-SCRIPTLET] More infos:
[2018-11-06 13:49] [ALPM-SCRIPTLET] 
[2018-11-06 13:49] [ALPM-SCRIPTLET] systemctl start temp-links-catalyst
[2018-11-06 13:49] [ALPM-SCRIPTLET] systemctl enable temp-links-catalyst
[2018-11-06 13:49] [ALPM-SCRIPTLET] To activate workaround enable systemd service:
[2018-11-06 13:49] [ALPM-SCRIPTLET] 
[2018-11-06 13:49] [ALPM-SCRIPTLET] great amount of unneeded I/O operations
[2018-11-06 13:49] [ALPM-SCRIPTLET] There's a bug in fglrx found by lano1106 which generates
[2018-11-06 13:49] [ALPM-SCRIPTLET] e[37;44me[1m---------------- I/O BUG ---------------------------------------e[0m
[2018-11-06 13:49] [ALPM] installed catalyst-utils (1:15.201.1151-12)
[2018-11-06 13:49] [ALPM] installed catalyst-video (2016.09-1)
[2018-11-06 13:49] [ALPM] installed catalyst-server (1.17.4-5)
[2018-11-06 13:49] [ALPM] installed xorg-util-macros (1.19.2-1)
[2018-11-06 13:49] [ALPM] installed xorg-fonts-misc (1.0.3-5)
[2018-11-06 13:49] [ALPM] installed libxaw (1.0.13-2)
[2018-11-06 13:49] [ALPM] installed libxfont (1.5.3-2)
[2018-11-06 13:49] [ALPM] installed catalyst-input (2016.09-1)
[2018-11-06 13:49] [ALPM] installed aarch64-linux-gnu-gcc (8.2.0-2)
[2018-11-06 13:49] [ALPM] installed aarch64-linux-gnu-glibc (2.28-1)
[2018-11-06 13:49] [ALPM] installed aarch64-linux-gnu-linux-api-headers (4.18-1)
[2018-11-06 13:49] [ALPM] installed aarch64-linux-gnu-binutils (2.31.1-1)
[2018-11-06 13:49] [ALPM] removed xf86-video-intel (1:2.99.917+853+g0932a6b3-1)
[2018-11-06 13:49] [ALPM] removed xorg-server-common (1.20.3-1)
[2018-11-06 13:49] [ALPM] removed xf86-input-libinput (0.28.1-1)
[2018-11-06 13:49] [ALPM] removed xorg-server (1.20.3-1)
[2018-11-06 13:49] [ALPM] removed xf86-video-amdgpu (18.1.0-1)
[2018-11-06 13:49] [ALPM] removed xf86-video-ati (1:18.1.0-1)
[2018-11-06 13:49] [ALPM] removed xf86-video-nouveau (1.0.15-3)
[2018-11-06 13:49] [ALPM] removed xf86-input-elographics (1.4.1-7)
[2018-11-06 13:49] [ALPM] removed xf86-input-evdev (2.10.6-1)
[2018-11-06 13:49] [ALPM] removed xf86-input-keyboard (1.9.0-2)
[2018-11-06 13:49] [ALPM] removed xf86-input-mouse (1.9.3-1)
[2018-11-06 13:49] [ALPM] removed xf86-input-void (1.4.1-3)
[2018-11-06 13:49] [ALPM] transaction started
[2018-11-06 13:49] [PACMAN] Running 'pacman -U google-earth-pro-stable-7.3.2.5495.r0-1-x86_64.pkg.tar.xz'
[2018-11-06 13:30] [PACMAN] Running 'pacman -U google-earth-pro-stable-7.3.2.5495.r0-1-x86_64.pkg.tar.xz'
[2018-11-06 12:53] [ALPM] running 'systemd-update.hook'...
[2018-11-06 12:53] [ALPM] transaction completed
[2018-11-06 12:53] [ALPM-SCRIPTLET] ==> Run "debtap -h" for help
[2018-11-06 12:53] [ALPM-SCRIPTLET] 
[2018-11-06 12:53] [ALPM-SCRIPTLET] ==> Syntax: debtap [option] package_filename
[2018-11-06 12:53] [ALPM-SCRIPTLET] 
[2018-11-06 12:53] [ALPM-SCRIPTLET] before running this script
[2018-11-06 12:53] [ALPM-SCRIPTLET] with root privileges (preferably recently),
[2018-11-06 12:53] [ALPM-SCRIPTLET] ==> You must run at least once "debtap -u"
[2018-11-06 12:53] [ALPM] reinstalled debtap (3.2.2-1)
[2018-11-06 12:53] [ALPM] transaction started
[2018-11-06 12:52] [ALPM] running 'systemd-update.hook'...
[2018-11-06 12:52] [ALPM] transaction completed
[2018-11-06 12:52] [ALPM-SCRIPTLET] ==> Run "debtap -h" for help
[2018-11-06 12:52] [ALPM-SCRIPTLET] 
[2018-11-06 12:52] [ALPM-SCRIPTLET] ==> Syntax: debtap [option] package_filename
[2018-11-06 12:52] [ALPM-SCRIPTLET] 
[2018-11-06 12:52] [ALPM-SCRIPTLET] before running this script
[2018-11-06 12:52] [ALPM-SCRIPTLET] with root privileges (preferably recently),
[2018-11-06 12:52] [ALPM-SCRIPTLET] ==> You must run at least once "debtap -u"
[2018-11-06 12:52] [ALPM] installed debtap (3.2.2-1)
[2018-11-06 12:52] [ALPM] transaction started
[2018-11-06 12:52] [PACMAN] Running 'pacman --color auto -U /tmp/yaourt-tmp-monta/PKGDEST.kdn/debtap-3.2.2-1-any.pkg.tar.xz'
[2018-11-06 12:51] [ALPM] running 'systemd-update.hook'...
[2018-11-06 12:51] [ALPM] running 'systemd-daemon-reload.hook'...
[2018-11-06 12:51] [ALPM] transaction completed
[2018-11-06 12:51] [ALPM-SCRIPTLET] ==> Run 'pkgfile --update' to initialize the database
[2018-11-06 12:51] [ALPM] installed pkgfile (18-2)
[2018-11-06 12:51] [ALPM] transaction started

#2

Qui hai almeno due problemi

  • hai rimosso xorg 1.20 per installare dei vecchi driver non supportati (catalyst)

[2018-11-06 13:49] [ALPM] removed xf86-video-intel (1:2.99.917+853+g0932a6b3-1)
[2018-11-06 13:49] [ALPM] removed xorg-server-common (1.20.3-1)
[2018-11-06 13:49] [ALPM] removed xf86-input-libinput (0.28.1-1)
[2018-11-06 13:49] [ALPM] removed xorg-server (1.20.3-1)
[2018-11-06 13:49] [ALPM] removed xf86-video-amdgpu (18.1.0-1)
[2018-11-06 13:49] [ALPM] removed xf86-video-ati (1:18.1.0-1)
[2018-11-06 13:49] [ALPM] removed xf86-video-nouveau (1.0.15-3)
[2018-11-06 13:49] [ALPM] removed xf86-input-elographics (1.4.1-7)
[2018-11-06 13:49] [ALPM] removed xf86-input-evdev (2.10.6-1)
[2018-11-06 13:49] [ALPM] removed xf86-input-keyboard (1.9.0-2)
[2018-11-06 13:49] [ALPM] removed xf86-input-mouse (1.9.3-1)
[2018-11-06 13:49] [ALPM] removed xf86-input-void (1.4.1-3)

[2018-11-06 13:49] [ALPM] installed catalyst-utils (1:15.201.1151-12)
[2018-11-06 13:49] [ALPM] installed catalyst-video (2016.09-1)
[2018-11-06 13:49] [ALPM] installed catalyst-server (1.17.4-5)


Mentre debtap, che è un programma tutt’altro che perfetto, ha generato un file .install non valido (cosa che non stupisce visto che è copiato alla brutta dal .deb)

[2018-11-06 13:51] [ALPM-SCRIPTLET] /tmp/alpm_YOvjLj/.INSTALL: riga 724: errore di sintassi: EOF non atteso
[2018-11-06 13:51] [ALPM-SCRIPTLET] /tmp/alpm_YOvjLj/.INSTALL: riga 441: EOF non atteso durante la ricerca di “`”

Perchè non hai usato il pkgbuild che c’é su AUR?


#3

suppongo di non averlo usato perchè non sapevo che c’era, ho provato a fare una ricerca sui repository, poi su AUR, successivamente su google e alla fine è successo questo


#4

https://aur.archlinux.org/packages/?O=0&SeB=nd&K=google-e&outdated=&SB=l&SO=d&PP=50&do_Search=Go

https://duckduckgo.com/?q="Google+earth"+AUR&atb=v139-4__&ia=web

https://wiki.archlinux.org/index.php/Google_Earth


Disinstalla il pacchetto creato da debtap e reinstalla subito xorg


#5

ragazzo sei un mito e mi hai salvato alla grande, assieme a un mio amico C.V. che mi ha assistito tramite Telegram ho risolto, ovviamente mi era caduta la grafica, ma con Wicd da shell ho reinstallato xorg e ora funziona senza aver perso alcun file o impostazine, grazie mille a Lolix e a Pietro F. Fontana da Telegram/Mangiaro Linux Italia